package ctbrec.ui.action;

import java.util.List;
import java.util.concurrent.CompletableFuture;

import ctbrec.Model;
import ctbrec.recorder.Recorder;
import ctbrec.ui.tasks.StartRecordingTask;
import javafx.scene.Node;

public class StartRecordingAction extends AbstractModelAction {

    public StartRecordingAction(Node source, List<Model> models, Recorder recorder) {
        super(source, models, recorder, new StartRecordingTask(recorder));
    }

    public CompletableFuture<List<Result>> execute() {
        return super.execute("Couldn't start recording", "Starting recording of {0} failed:");
    }
}
